Subject: bug#77415: Native Messaging in librewolf doesn't work

From: Konrad Hinsen <[email-masked]>
Date: Tue, 08 Apr 2025 10:31:58 +0200

Rutherther <[email-masked]> writes:

>>> Okay, I was wrong. The problem is only when ICECAT_SYSTEM_DIR is unset.
>>> When it's set to anywhere, like /, it works fine for me as well.
>>
>> Great!
>>
>> Closing :)
>
> Should this really be closed? I think it's a bug that ought to be fixed.
> Or at least the user's should get to know somehow they have to set it.
> If user is not using any extensions via Guix, they won't be able to use
> native messaging unless they know about this culprit.

I agree!

It's absolutely not obvious that LibreWolf users should
 - look for extension packages labeled "icecat"
 - set an undocumented environment variable to make the
   documented standard behavior of LibreWolf work

In particular, if it is possible to restore the standard behavior
(search for extensions under ~/.librewolf), that should be done.

Cheers,
  Konrad.